;
; common.inc - Common stuff for IDE64 manager plugins
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;    This file is part of IDEDOS the IDE64 disk operating system
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;

print		lda #51
		sta $1
		lda #0
		sta t

la		jsr outchar
		jsr outchar
		jsr outchar
		lda p2
		clc
		adc #61
		sta p2
		bcc *+4
		inc p2+1
		lda t
		cmp #24
		bne la

		lda #55
		sta $1
		rts
t		.byte 0
outchar		ldy t
		lda (p3),y
                bpl hkb4
                and #$7f
                cmp #$7f
                bne *+4
                lda #$5e
                cmp #$20
                bcc hkb2
                ora #$40
                bne hkb3

hkb4            cmp #$20
                bcc hkb2
                cmp #$60
                bcc hkb
                and #$5f
                bne *+4
hkb		and #$3f
		.byte $2c
hkb2		ora #$80
hkb3		iny
		sty t
		ldx #27
		stx p+1
		asl a
		rol p+1
		asl a
		rol p+1
		asl a
		rol p+1
		sta p
		ldy #0
		ldx #0
uu		lda (p,x)
		inc p
		sta (p2),y
		iny
		iny
		iny
		cpy #24
		bne uu
		inc p2
		rts
col		.byte 1,0,1,0,1,1,1,0
		.byte 1,1,1,1,1,0,1,0
