;
; sprinit.inc - Sprite initialization for IDE64 manager plugins
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;    This file is part of IDEDOS the IDE64 disk operating system
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;

		and #15
		tax
		lda col,x
		sta sprcol+1

		ldx #$2e
io2		lda $d000,x
		sta vic,x
		dex
		bpl io2
		lda $dd00
		sta dd00
		lda $dd02
		sta dd02
		lda 792
		sta onmi
		lda 793
		sta onmi+1

		lda #<irq
		sta $314
		lda #>irq
		sta $315
		lda #<nmi
		sta 792
		lda #>nmi
		sta 793
		bit $d011
		bpl *-3
		bit $d011
		bmi *-3
		lda #11
		sta $d011                
		stx $d015
                inx
		stx $dc0e
		stx $d020
                stx $d017
                stx $d01b
                stx $d01c
                stx $d01d
		inx
		stx $d01a
		bit $dc0d
                lda #63
                sta $dd02
		lda #128
		sta $d010
		ldx #15
		ldy #7
rq		lda #spry
		sta $d000,x
sprcol		lda #0
		sta $d027,y
		dey
		dex
		dex
		bpl rq
		lda #64
		clc
ibd		inx
		adc #24
		sta $d000,x
		inx
		bcc ibd
